package com.iformall.service.toutiao.api.bean;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;

/**
 * @author
 */
public class TtOpenGsonBuilder {
  private static final GsonBuilder INSTANCE = new GsonBuilder();

  static {
    INSTANCE.disableHtmlEscaping();
    INSTANCE.registerTypeAdapter(TtOpenTicket.class, new TtOpenTicketGsonAdapter());
    INSTANCE.registerTypeAdapter(TtOpenAuthorizationInfo.class, new TtOpenAuthorizationInfoGsonAdapter());
    INSTANCE.registerTypeAdapter(TtOpenRetrieveCode.class, new TtOpenRetrieveCodeGsonAdapter());

  }

  public static Gson create() {
    return INSTANCE.create();
  }

}
